.card {
    width: auto;
    min-width: 250px; 
    background-color: black;
    margin-bottom: 20px;
}
.card:hover .overlay {
    opacity: 1;
}
.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.7);
    color: #fff;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    opacity: 0;
    transition: opacity 0.1s ease-in-out;
    z-index: 1;
    font-size: 14px;
}

.card-title{
    text-align: center;
}

.card-text,
.card-title {
    margin-bottom: 0;
}


.container {
    margin-top: 4rem;
}


@media (max-width: 768px) {
    .card {
        max-width: 100%; 
    }
}